Package org.eclipse.birt.report.engine.api.script.instance

# Interface IDataSourceInstance

public interface IDataSourceInstance

## Method Summary

Modifier and Type
Method
Description
`Map`
`getAllExtensionProperties()`
Gets the public connection properties, in the form of a (name, value) pairs.
`String`
`getExtensionID()`
Gets the ID of the ODA extension which defines this type of data source
`String`
`getExtensionProperty(String name)`
Get the extension property value
`String`
`getName()`
Gets the name of this data source
`void`
`setExtensionProperty(String name, String value)`
Set the extension property value

## Method Details

### getName

String getName()
Gets the name of this data source

### getExtensionID

String getExtensionID()
Gets the ID of the ODA extension which defines this type of data source

### getExtensionProperty

String getExtensionProperty(String name)
Get the extension property value

Parameters:
  `name` -
Returns:
  the extention property

### setExtensionProperty

void setExtensionProperty(String name, String value)
Set the extension property value

Parameters:
  `name` -
  `value` -

### getAllExtensionProperties

Map getAllExtensionProperties()
Gets the public connection properties, in the form of a (name, value) pairs. The property name is of String type. The property value is of String type.

Returns:
  Public properties as a Map of name-value pairs. Null if none is defined.